#include <glib-object.h>
#include <dbus/dbus-glib.h>
#include <telepathy-glib/dbus-properties-mixin.h>

G_BEGIN_DECLS

/**
 * McSvcAccountInterfaceCompat:
 *
 * Dummy typedef representing any implementation of this interface.
 */
typedef struct _McSvcAccountInterfaceCompat McSvcAccountInterfaceCompat;

/**
 * McSvcAccountInterfaceCompatClass:
 *
 * The class of McSvcAccountInterfaceCompat.
 */
typedef struct _McSvcAccountInterfaceCompatClass McSvcAccountInterfaceCompatClass;

GType mc_svc_account_interface_compat_get_type (void);
#define MC_TYPE_SVC_ACCOUNT_INTERFACE_COMPAT \
  (mc_svc_account_interface_compat_get_type ())
#define MC_SVC_ACCOUNT_INTERFACE_COMPAT(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj), MC_TYPE_SVC_ACCOUNT_INTERFACE_COMPAT, McSvcAccountInterfaceCompat))
#define MC_IS_SVC_ACCOUNT_INTERFACE_COMPAT(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj), MC_TYPE_SVC_ACCOUNT_INTERFACE_COMPAT))
#define MC_SVC_ACCOUNT_INTERFACE_COMPAT_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_INTERFACE((obj), MC_TYPE_SVC_ACCOUNT_INTERFACE_COMPAT, McSvcAccountInterfaceCompatClass))


typedef void (*mc_svc_account_interface_compat_set_has_been_online_impl) (McSvcAccountInterfaceCompat *self,
    DBusGMethodInvocation *context);
void mc_svc_account_interface_compat_implement_set_has_been_online (McSvcAccountInterfaceCompatClass *klass, mc_svc_account_interface_compat_set_has_been_online_impl impl);
/**
 * mc_svc_account_interface_compat_return_from_set_has_been_online:
 * @context: The D-Bus method invocation context
 *
 * Return successfully by calling dbus_g_method_return().
 * This inline function exists only to provide type-safety.
 */
static inline
/* this comment is to stop gtkdoc realising this is static */
void mc_svc_account_interface_compat_return_from_set_has_been_online (DBusGMethodInvocation *context);
static inline void
mc_svc_account_interface_compat_return_from_set_has_been_online (DBusGMethodInvocation *context)
{
  dbus_g_method_return (context);
}

void mc_svc_account_interface_compat_emit_compat_property_changed (gpointer instance,
    GHashTable *arg_Properties);


G_END_DECLS
