#include <glib-object.h>
#include <dbus/dbus-glib.h>
#include <telepathy-glib/dbus-properties-mixin.h>

G_BEGIN_DECLS

/**
 * McSvcAccountManagerInterfaceQuery:
 *
 * Dummy typedef representing any implementation of this interface.
 */
typedef struct _McSvcAccountManagerInterfaceQuery McSvcAccountManagerInterfaceQuery;

/**
 * McSvcAccountManagerInterfaceQueryClass:
 *
 * The class of McSvcAccountManagerInterfaceQuery.
 */
typedef struct _McSvcAccountManagerInterfaceQueryClass McSvcAccountManagerInterfaceQueryClass;

GType mc_svc_account_manager_interface_query_get_type (void);
#define MC_TYPE_SVC_ACCOUNT_MANAGER_INTERFACE_QUERY \
  (mc_svc_account_manager_interface_query_get_type ())
#define MC_SVC_ACCOUNT_MANAGER_INTERFACE_QUERY(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj), MC_TYPE_SVC_ACCOUNT_MANAGER_INTERFACE_QUERY, McSvcAccountManagerInterfaceQuery))
#define MC_IS_SVC_ACCOUNT_MANAGER_INTERFACE_QUERY(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj), MC_TYPE_SVC_ACCOUNT_MANAGER_INTERFACE_QUERY))
#define MC_SVC_ACCOUNT_MANAGER_INTERFACE_QUERY_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_INTERFACE((obj), MC_TYPE_SVC_ACCOUNT_MANAGER_INTERFACE_QUERY, McSvcAccountManagerInterfaceQueryClass))


typedef void (*mc_svc_account_manager_interface_query_find_accounts_impl) (McSvcAccountManagerInterfaceQuery *self,
    GHashTable *in_params,
    DBusGMethodInvocation *context);
void mc_svc_account_manager_interface_query_implement_find_accounts (McSvcAccountManagerInterfaceQueryClass *klass, mc_svc_account_manager_interface_query_find_accounts_impl impl);
/**
 * mc_svc_account_manager_interface_query_return_from_find_accounts:
 * @context: The D-Bus method invocation context
 * @out_accounts: const GPtrArray * (FIXME, generate documentation)
 *
 * Return successfully by calling dbus_g_method_return().
 * This inline function exists only to provide type-safety.
 */
static inline
/* this comment is to stop gtkdoc realising this is static */
void mc_svc_account_manager_interface_query_return_from_find_accounts (DBusGMethodInvocation *context,
    const GPtrArray *out_accounts);
static inline void
mc_svc_account_manager_interface_query_return_from_find_accounts (DBusGMethodInvocation *context,
    const GPtrArray *out_accounts)
{
  dbus_g_method_return (context,
      out_accounts);
}



G_END_DECLS
